Subject: Re: [ANNOUNCE] Git v2.30.0-rc2

From: Junio C Hamano <[email-masked]>
Date: Wed, 23 Dec 2020 22:36:07 -0800

Junio C Hamano <[email-masked]> writes:

> Christian Couder <[email-masked]> writes:
>
>> Most of the suggestions below are found by GMail.
>>
>> On Thu, Dec 24, 2020 at 12:08 AM Junio C Hamano <[email-masked]> wrote:
>>>
>>> A release candidate Git v2.30.0-rc2 is now available for testing
>>> at the usual places.  It is comprised of 19 non-merge commits since
>>
>> Maybe: s/is comprised of/comprises/
>
> Funny.  
>
> I do recall somebody else (perhaps Peff but I may be misremembering)
> helped me grammofixing the use of verb "comprise" in the sentence
> when I started listing the names of commit authors back in v2.3.3 or
> v2.4.0 era.  Perhaps I failed to follow the advice given?  I dunno.

Ah, just to avoid duplicated archive digging effort, it indeed was
in https://lore.kernel.org/git/[email-masked]/
where Peff said

    > ... usual places.  It comprises of 41 non-merge commits since
    > v2.3.1, contributed by 19 people, 5 of which are new faces.

    It's not generally considered correct to use "of" with the active
    tense of "comprise". So either:

      It comprises 41 non-merge commits...

    or:

      It is comprised of 41 non-merge commits...

    is fine.  The latter is much more common, at least in American
    English, though I imagine it gives some prescriptivists headaches.

and the Meta/Announce script has stuck to the latter form since
then.

Thanks anyway.